/**
 * Created by HaijunZhang on 2018/11/12.
 */
const monitor = {
  MonitorDashboard: () => import('views/dashboard/index.vue'), // 概览
  MonitorComputeServer: () => import('views/compute/server/index.vue'),
  MonitorComputeCloud: () => import('views/compute/cloud/platform.vue'), // 云平台
  MonitorVm: () => import('views/compute/vm.vue'), // 云主机
  MonitorCloudVcenter: () => import('views/compute/cloud/vcenter/index.vue'), // vcenter
  MonitorCloudOpenStack: () => import('views/compute/cloud/openstack/index.vue'), // openstack
  MonitorCloudFusion: () => import('views/compute/cloud/FusionCloud/index.vue'), // fusioncloud
  MonitorCloudManageOne: () => import('views/compute/cloud/FusionCloud/index.vue'),
  MonitorCloudHmc: () => import('views/compute/cloud/hmc/index.vue'), // hmc
  // MonitorContainerCloud: () => import('views/compute/container/cloudList.vue'), // 容器云
  MonitorCloudK8s: () => import('views/compute/container/kubernetes/index.vue'), // k8s
  MonitorCloudTianyi: () => import('views/compute/cloud/tianyi/index.vue'), // 天翼云
  MonitorCloudAliyun: () => import('views/compute/cloud/aliyun/index.vue'), // 阿里云
  MonitorCloudHuawei: () => import('views/compute/cloud/huawei/index.vue'), // 华为云
  MonitorCloudH3C: () => import('views/compute/cloud/h3c/index.vue'), // 华三云
  MonitorCloudSmart: () => import('views/compute/cloud/smart/index.vue'), // smartx
  MonitorContainerDetail: () => import('views/compute/cloud/vcenter/platformMonitorDetail.vue'), // 告警详情
  MonitorDetailList: () => import('views/compute/cloud/vcenter/platformMonitorDetail.vue'), // 告警详情
  MonitorFocusList: () => import('views/storage/huawei/list.vue'), // 集中式存储列表
  MonitorHuawei: () => import('views/storage/huawei/index.vue'),
  MonitorHuaweiDetail: () => import('views/storage/huawei/monitorDetail.vue'),
  MonitorDell: () => import('views/storage/huawei/index.vue'),
  MonitorDellDetail: () => import('views/storage/huawei/monitorDetail.vue'),
  MonitorSDNList: () => import('views/network/sdn/index.vue'),
  thresholdValue: () => import('views/alarm_manage/monitorPolicy/index.vue'),
  CreateMonitorPolicy: () => import('views/alarm_manage/monitorPolicy/add.vue'), // 新增告警策略
  ModifyMonitorPolicy: () => import('views/alarm_manage/monitorPolicy/add.vue'), // 编辑告警策略
  MonitorTemplate: () => import('views/alarm_manage/template/index.vue'), // 告警模板
  CreateMonitorTemplate: () => import('views/alarm_manage/template/add.vue'),
  ModifyMonitorTemplate: () => import('views/alarm_manage/template/add.vue'),
  CurrentMonitor: () => import('views/alarm_manage/current/index.vue'),
  HistoryMonitor: () => import('views/alarm_manage/history/index.vue'),
  DistributePolicy: () => import('views/alarm_manage/policy/shieldManage.vue'),
  OpenStackServerMonitor: () => import('views/compute/cloud/platformMonitor/openstack.vue'),
  OpenStackVmMonitor: () => import('views/compute/cloud/platformMonitor/openstack_vm.vue'),
  vCenterServerMonitor: () => import('views/compute/cloud/platformMonitor/vcenterHost.vue'),
  vCenterVmMonitor: () => import('views/compute/cloud/platformMonitor/vcenterVm.vue'),
  mOneServerMonitor: () => import('views/compute/cloud/platformMonitor/manageone_host.vue'),
  mOneVmMonitor: () => import('views/compute/cloud/platformMonitor/manageone_vm.vue'),
  SmartxServerMonitor: () => import('views/compute/cloud/platformMonitor/smartx_host.vue'),
  SmartxVmMonitor: () => import('views/compute/cloud/platformMonitor/smartx_vm.vue'),
  monitorDatabaseDetail: () => import('views/compute/cloud/vcenter/platformMonitorDetail.vue'),
  huaweiStorageList: () => import('views/storage/huawei/list.vue'),
  // 新添加的数据库监控组件
  DatabaseMysql: () => import('views/databases/mysql.vue'),
  DatabaseMssql: () => import('views/databases/sqlserver.vue'),
  DatabasePostGreSQL: () => import('views/databases/postgresql.vue'),
  DatabaseOracle: () => import('views/databases/oracle.vue'),
  DatabaseRedis: () => import('views/databases/redis.vue'),
  DatabaseMemCached: () => import('views/databases/memcached.vue'),
  DatabaseMongodb: () => import('views/databases/mongodb.vue'),
  RdbmsMysqlDetail: () => import('views/databases/mysqlDetail.vue'),
  RdbmsMssqlDetail: () => import('views/databases/sqlserverDetail.vue'),
  RdbmsPostgresqlDetail: () => import('views/databases/postgresqlDetail.vue'),
  RdbmsOracleDetail: () => import('views/databases/oracleDetail.vue'),
  NosqlRedisDetail: () => import('views/databases/redisDetail.vue'),
  NosqlMemcachedDetail: () => import('views/databases/memcachedDetail.vue'),
  NosqlMongodbDetail: () => import('views/databases/mongodbDetail.vue'),
  MonitorKafka: () => import('views/middleware/kafka.vue'),
  MonitorRabbitMQ: () => import('views/middleware/rabbitmq.vue'),
  MonitorZookeeper: () => import('views/middleware/zookeeper.vue'),
  MonitorEtcd: () => import('views/middleware/etcd.vue'),
  // 分布式存储
  MonitorStorageDistribute: () => import('views/storage/distribute/platform.vue'),
  MonitorStorageXsky: () => import('views/storage/distribute/xsky/index.vue'),
  // 交换机
  MonitorSmisFabric: () => import('views/storage/switch/list.vue'),
  MonitorCisco: () => import('views/storage/switch/cisco.vue'),
  MonitorCiscoDetail: () => import('views/compute/cloud/vcenter/platformMonitorDetail.vue')
}
export default monitor
